Bug 40249 - [Qt] EditorClientQt.h has coding-style errors
Summary: [Qt] EditorClientQt.h has coding-style errors
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords: Qt
Depends on:
Blocks:
 
Reported: 2010-06-07 11:51 PDT by Anders Bakken
Modified: 2010-06-09 16:26 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.14 KB, patch)
2010-06-07 11:51 PDT, Anders Bakken
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Bakken 2010-06-07 11:51:08 PDT
[Qt] EditorClientQt.h has coding-style errors
Comment 1 Anders Bakken 2010-06-07 11:51:29 PDT
Created attachment 58063 [details]
Patch
Comment 2 Laszlo Gombos 2010-06-08 13:28:57 PDT
Is this coding style rule captured somewhere ? I could not find it on http://webkit.org/coding/coding-style.html.
Comment 3 Kenneth Rohde Christiansen 2010-06-08 13:42:04 PDT
Comment on attachment 58063 [details]
Patch

It is in the style guide alright :-) it has to use the same case as the filename. The filename has .h and not .H :-) dot should be substituted by a _
Comment 4 Kenneth Rohde Christiansen 2010-06-08 13:42:52 PDT
(In reply to comment #2)
> Is this coding style rule captured somewhere ? I could not find it on http://webkit.org/coding/coding-style.html.

14. #define, #ifdef "header guards" should be named exactly the same as the file (including case), replacing the '.' with a '_'.
Comment 5 WebKit Commit Bot 2010-06-09 16:26:02 PDT
Comment on attachment 58063 [details]
Patch

Clearing flags on attachment: 58063

Committed r60923: <http://trac.webkit.org/changeset/60923>
Comment 6 WebKit Commit Bot 2010-06-09 16:26:08 PDT
All reviewed patches have been landed.  Closing bug.